Name:          audacious
Version:       4.4.1
Release:       1mamba
Summary:       Media player which uses a skinned interface
Group:         Graphical Desktop/Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://audacious-media-player.org/
Source:        http://distfiles.audacious-media-player.org/audacious-%{version}.tar.bz2
Source1:       AbsoluteE_Xmms.zip
Source2:       bmXmms.zip
Source3:       AlmondCopper1-1.wsz
Patch0:        audacious-1.5.1-xmms-skins.patch
Patch1:        audacious-1.5.1-default-skins.patch
Patch2:        audacious-1.2.1-relative-links.patch
Patch3:        audacious-1.4.2-id3tag-close-file.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libat-spi2-core-devel
BuildRequires: libcairo-devel
BuildRequires: libgcc
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgtk3-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libpango-devel
BuildRequires: libstdc++6-devel
BuildRequires: libz-devel
BuildRequires: qt6-qtbase-devel
BuildRequires: qt6-qtsvg-devel
## AUTOBUILDREQ-END
BuildRequires: libogg-devel
BuildRequires: libflac-devel
BuildRequires: libalsa-devel
BuildRequires: libvorbis-devel
BuildRequires: libneon-devel 
BuildRequires: desktop-file-utils
BuildRequires: chrpath
BuildRequires: libglade-devel
BuildRequires: gtk-doc
BuildRequires: unzip
BuildRequires: libmusicbrainz-devel
BuildRequires: libcurl-devel
BuildRequires: libcdio-devel
BuildRequires: libmodplug-devel
BuildRequires: libid3-devel
BuildRequires: libmusepack-devel
BuildRequires: libesound-devel
BuildRequires: libvisual-devel
BuildRequires: libSDL-devel
BuildRequires: libtag-devel
BuildRequires: libgnome-vfs-devel
BuildRequires: GConf-devel
BuildRequires: lirc-devel
BuildRequires: libsndfile-devel
BuildRequires: libsidplay-devel
BuildRequires: libXext-devel
BuildRequires: libXt-devel
BuildRequires: libjack-devel
BuildRequires: libguess-devel
%if "%{stage1}" != "1"
Requires: audacious-plugins-alsa
Requires: audacious-plugins-jack
Requires: audacious-plugins-skins
%endif
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Audacious is a media player based on the BMP music playing application.
Its primary goals are usability and usage of current desktop standards.

%package -n lib%{name}
Summary:       Shared libraries provided by %{name}
Group:         System/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}
Shared libraries provide with Audacious.

%package -n lib%{name}-devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      audacious-devel
Obsoletes:     audacious-devel < 4.2-2mamba

%description -n lib%{name}-devel
Development files for Audacious.

%debug_package

%prep
%setup -q
#-D -T

%build
#:<< _EOF
%configure \
  --with-buildstamp='%{_distrib_id}'

%make GLIB_LIBS="`pkg-config --libs glib-2.0` `pkg-config --libs gmodule-2.0`"

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

install -D -m0644 contrib/audacious.appdata.xml %{buildroot}%{_datadir}/metainfo/audacious.appdata.xml

chrpath -d %{buildroot}%{_bindir}/*

mkdir -p %{buildroot}%{_datadir}/xmms/Skins
for skin in %{S:1} %{S:2} %{S:3} ; do
	install -m0755  $skin %{buildroot}%{_datadir}/xmms/Skins
done
%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/audacious
%{_bindir}/audtool
%attr(755,root,root) %{_datadir}/audacious
%attr(755,root,root) %{_datadir}/xmms/Skins
%{_datadir}/applications/*
%{_datadir}/metainfo/audacious.appdata.xml
%{_datadir}/icons/hicolor/48x48/apps/audacious.png
%{_datadir}/icons/hicolor/scalable/apps/audacious.svg
%{_mandir}/man1/audacious.1*
%{_mandir}/man1/audtool.1*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libaudcore.so.*
%{_libdir}/libaudgui.so.*
%{_libdir}/libaudqt.so.*
%{_libdir}/libaudtag.so.*
%doc AUTHORS COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/audacious
%{_includedir}/audacious/*
%dir %{_includedir}/libaudcore
%{_includedir}/libaudcore/*.h
%dir %{_includedir}/libaudqt
%{_includedir}/libaudqt/*.h
%dir %{_includedir}/libaudgui
%{_includedir}/libaudgui/*.h
%{_libdir}/libaudgui.so
%{_libdir}/libaudcore.so
%{_libdir}/libaudqt.so
%{_libdir}/libaudtag.so
%{_libdir}/pkgconfig/*
#%doc NEWS README

%changelog
* Fri Sep 27 2024 Automatic Build System <autodist@openmamba.org> 4.4.1-1mamba
- automatic version update by autodist

* Mon Jun 17 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 4.4-2mamba
- fix extension of metainfo file

* Thu Jun 13 2024 Automatic Build System <autodist@openmamba.org> 4.4-1mamba
- automatic version update by autodist

* Sun Apr 30 2023 Automatic Build System <autodist@mambasoft.it> 4.3.1-1mamba
- automatic version update by autodist

* Mon Mar 06 2023 Automatic Build System <autodist@mambasoft.it> 4.3-1mamba
- automatic version update by autodist

* Sat Jan 14 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2-2mamba
- rebuilt with --with-buildstamp; added library package; install metainfo file

* Mon Jul 11 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2-1mamba
- update to 4.2

* Thu Feb 04 2021 Automatic Build System <autodist@mambasoft.it> 4.1-1mamba
- automatic version update by autodist

* Sat Jul 11 2020 Automatic Build System <autodist@mambasoft.it> 4.0.5-1mamba
- automatic version update by autodist

* Tue Jun 02 2020 Automatic Build System <autodist@mambasoft.it> 4.0.4-1mamba
- automatic version update by autodist

* Thu Apr 30 2020 Automatic Build System <autodist@mambasoft.it> 4.0.3-1mamba
- automatic version update by autodist

* Wed Apr 15 2020 Automatic Build System <autodist@mambasoft.it> 4.0.2-1mamba
- automatic version update by autodist

* Tue Apr 07 2020 Automatic Build System <autodist@mambasoft.it> 4.0.1-1mamba
- automatic version update by autodist

* Wed Jan 02 2019 Automatic Build System <autodist@mambasoft.it> 3.10.1-1mamba
- automatic version update by autodist

* Wed Aug 29 2018 Automatic Build System <autodist@mambasoft.it> 3.10-1mamba
- automatic version update by autodist

* Mon Sep 25 2017 Automatic Build System <autodist@mambasoft.it> 3.9-1mamba
- automatic version update by autodist

* Sun Jan 29 2017 Automatic Build System <autodist@mambasoft.it> 3.8.2-1mamba
- automatic version update by autodist

* Thu Dec 15 2016 Automatic Build System <autodist@mambasoft.it> 3.8.1-1mamba
- automatic version update by autodist

* Wed Oct 26 2016 Automatic Build System <autodist@mambasoft.it> 3.8-1mamba
- automatic version update by autodist

* Sun Apr 03 2016 Automatic Build System <autodist@mambasoft.it> 3.7.2-1mamba
- automatic version update by autodist

* Tue Dec 29 2015 Automatic Build System <autodist@mambasoft.it> 3.7.1-1mamba
- automatic version update by autodist

* Thu Nov 12 2015 Automatic Build System <autodist@mambasoft.it> 3.7-1mamba
- automatic version update by autodist

* Sun May 31 2015 Automatic Build System <autodist@mambasoft.it> 3.6.2-1mamba
- automatic version update by autodist

* Sat Apr 04 2015 Automatic Build System <autodist@mambasoft.it> 3.6.1-1mamba
- automatic version update by autodist

* Sun Mar 01 2015 Automatic Build System <autodist@mambasoft.it> 3.6-1mamba
- automatic version update by autodist

* Sat Oct 18 2014 Automatic Build System <autodist@mambasoft.it> 3.5.2-1mamba
- automatic update by autodist

* Sun Jul 27 2014 Automatic Build System <autodist@mambasoft.it> 3.5.1-1mamba
- automatic version update by autodist

* Sun Jan 05 2014 Automatic Build System <autodist@mambasoft.it> 3.4.3-1mamba
- automatic version update by autodist

* Sat Nov 02 2013 Automatic Build System <autodist@mambasoft.it> 3.4.2-1mamba
- automatic version update by autodist

* Tue Sep 03 2013 Automatic Build System <autodist@mambasoft.it> 3.4.1-1mamba
- automatic update by autodist

* Sat Jun 29 2013 Automatic Build System <autodist@mambasoft.it> 3.4-1mamba
- automatic version update by autodist

* Mon Feb 04 2013 Automatic Build System <autodist@mambasoft.it> 3.3.4-1mamba
- automatic version update by autodist

* Tue Dec 11 2012 Automatic Build System <autodist@mambasoft.it> 3.3.3-1mamba
- automatic version update by autodist

* Mon Oct 15 2012 Automatic Build System <autodist@mambasoft.it> 3.3.2-1mamba
- update to 3.3.2

* Wed Oct 10 2012 Automatic Build System <autodist@mambasoft.it> 3.1.1-1mamba
- automatic version update by autodist

* Thu Nov 10 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1-1mamba
- update to 3.1

* Wed Feb 23 2011 Automatic Build System <autodist@mambasoft.it> 2.4.4-1mamba
- automatic update by autodist

* Thu Jan 20 2011 Automatic Build System <autodist@mambasoft.it> 2.4.3-1mamba
- automatic update by autodist

* Thu Dec 09 2010 Automatic Build System <autodist@mambasoft.it> 2.4.2-1mamba
- automatic update by autodist

* Thu Nov 11 2010 Automatic Build System <autodist@mambasoft.it> 2.4.1-1mamba
- automatic update by autodist

* Wed Sep 29 2010 Automatic Build System <autodist@mambasoft.it> 2.4.0-1mamba
- automatic update by autodist

* Sun Jun 20 2010 Automatic Build System <autodist@mambasoft.it> 2.3-1mamba
- automatic update by autodist

* Fri Jan 15 2010 Automatic Build System <autodist@mambasoft.it> 2.2-1mamba
- automatic update by autodist

* Sun Jul 12 2009 Automatic Build System <autodist@mambasoft.it> 2.1-1mamba
- automatic update by autodist

* Thu Jun 18 2009 Automatic Build System <autodist@mambasoft.it> 2.0.1-1mamba
- automatic update by autodist

* Fri Jan 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.1-2mamba
- automatic rebuild by autodist

* Fri Jun 27 2008 gil <puntogil@libero.it> 1.5.1-1mamba
- update to version 1.5.1

* Mon May 12 2008 gil <puntogil@libero.it> 1.5.0-1mamba
- package created by autospec
